Interface KubernetesEventsEndpointBuilderFactory.KubernetesEventsBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- KubernetesEventsEndpointBuilderFactory
public static interface KubernetesEventsEndpointBuilderFactory.KubernetesEventsBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default KubernetesEventsEndpointBuilderFactory.KubernetesEventsHeaderNameBuilderkubernetesEvents()Kubernetes Event (camel-kubernetes) Perform operations on Kubernetes Events and get notified on Events changes.default KubernetesEventsEndpointBuilderFactory.KubernetesEventsEndpointBuilderkubernetesEvents(String path)Kubernetes Event (camel-kubernetes) Perform operations on Kubernetes Events and get notified on Events changes.default KubernetesEventsEndpointBuilderFactory.KubernetesEventsEndpointBuilderkubernetesEvents(String componentName, String path)Kubernetes Event (camel-kubernetes) Perform operations on Kubernetes Events and get notified on Events changes.
-
-
-
Method Detail
-
kubernetesEvents
default KubernetesEventsEndpointBuilderFactory.KubernetesEventsHeaderNameBuilder kubernetesEvents()
Kubernetes Event (camel-kubernetes) Perform operations on Kubernetes Events and get notified on Events changes. Category: container,cloud,paas Since: 3.20 Maven coordinates: org.apache.camel:camel-kubernetes- Returns:
- the dsl builder for the headers' name.
-
kubernetesEvents
default KubernetesEventsEndpointBuilderFactory.KubernetesEventsEndpointBuilder kubernetesEvents(String path)
Kubernetes Event (camel-kubernetes) Perform operations on Kubernetes Events and get notified on Events changes. Category: container,cloud,paas Since: 3.20 Maven coordinates: org.apache.camel:camel-kubernetes Syntax:kubernetes-events:masterUrlPath parameter: masterUrl (required) Kubernetes Master url- Parameters:
path- masterUrl- Returns:
- the dsl builder
-
kubernetesEvents
default KubernetesEventsEndpointBuilderFactory.KubernetesEventsEndpointBuilder kubernetesEvents(String componentName, String path)
Kubernetes Event (camel-kubernetes) Perform operations on Kubernetes Events and get notified on Events changes. Category: container,cloud,paas Since: 3.20 Maven coordinates: org.apache.camel:camel-kubernetes Syntax:kubernetes-events:masterUrlPath parameter: masterUrl (required) Kubernetes Master url- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- masterUrl- Returns:
- the dsl builder
-
-